Package com.ocient.util

# Interface Row

All Superinterfaces:
  `com.ibm.asyncutil.util.Either<List<Object>,DataEndMarker>`

All Known Implementing Classes:
  `FlattenedRow`

public interface Row extends com.ibm.asyncutil.util.Either<List<Object>,DataEndMarker>
An interface that represents a row of data from a table. A row can either contain a list of objects representing the data in the row, or it can be a special marker indicating the end of the data stream.

## Method Summary

Modifier and Type
Method
Description
`static Boolean`
`containsDEM(List<Row> rows)`
Predicate that returns `true` if the list of rows contains a DEM
`static Row`
`create(List<Object> columnValues)`
`default boolean`
`isDataEndMarker()`

### Methods inherited from interface com.ibm.asyncutil.util.Either

`flatMap, fold, forEach, isLeft, isRight, left, map, map, right`

## Method Details

### isDataEndMarker

default boolean isDataEndMarker()

### create

static Row create(List<Object> columnValues)

Returns:
  A new `Row` instance.

### containsDEM

static Boolean containsDEM(List<Row> rows)
Predicate that returns `true` if the list of rows contains a DEM

Parameters:
  `rows` - list of rows to test
Returns:
  `true` if the list of rows contains a DEM